<template lang="pug">
.form
	.field
		label.label.is-large.mb-4 {{$t("form.specifications")}}

	.field.is-horizontal
		.field-label.is-small
			label.label {{$t("form.engine_volume")}}
		.field-body
			.field.has-addons
				.control.is-expanded
					input.input.is-small( v-model='options.engine_volume' )
				p.control
					span.button.is-small.is-static {{$t("form.units.litres")}}

	
	.field.is-horizontal
		.field-label.is-small
			label.label {{$t("form.power")}}
		.field-body
			.field.has-addons
				.control.is-expanded
					input.input.is-small( v-model='options.power' )
				p.control
					span.button.is-small.is-static {{$t("form.units.horsepower")}}

	
	.field.is-horizontal
		.field-label.is-small
			label.label {{$t("form.max_speed")}}
		.field-body
			.field.has-addons
				.control.is-expanded
					input.input.is-small( v-model='options.max_speed' )
				p.control
					span.button.is-small.is-static {{$t("form.units.kmh")}}

	
	.field.is-horizontal
		.field-label.is-small
			label.label {{$t("form.to_100")}}
		.field-body
			.field.has-addons
				.control.is-expanded
					input.input.is-small( v-model='options.to_100' )
				p.control
					span.button.is-small.is-static {{$t("form.units.seconds")}}

	
	.field.is-horizontal
		.field-label.is-small
			label.label {{$t("form.transmission")}}
		.field-body
			.field
				.control.is-expanded
					input.input.is-small( v-model='options.transmission_ru' placeholder="RU" )
			.field
				.control.is-expanded
					input.input.is-small( v-model='options.transmission_en' placeholder="EN" )

	
	.field.is-horizontal
		.field-label.is-small
			label.label {{$t("form.seats")}}
		.field-body
			.field.has-addons
				.control.is-expanded
					input.input.is-small( v-model='options.seats' )
	

	.field.is-horizontal
		.field-label.is-small
			label.label {{$t("form.op_eq")}}
		.field-body
			b-taginput( v-model='options.equipment' size="small" )
	
	.field.is-grouped
		.control
			label.checkbox.is-flex.is-align-items-center.is-justify-content-flex-start
				input.mr-2( v-model='options.navigation' type="checkbox" )
				|{{$t("form.nav_sys")}}
		.control
			label.checkbox.is-flex.is-align-items-center.is-justify-content-flex-start
				input.mr-2( v-model='options.freeDelivery' type="checkbox" )
				|{{$t("form.free_del")}}
		.control
			label.checkbox.is-flex.is-align-items-center.is-justify-content-flex-start
				input.mr-2( v-model='options.fastDelivery' type="checkbox" )
				|{{$t("form.fast_del")}}
</template>

<script setup>
import BTaginput from "@/components/form/Taginput.vue"

import { onMounted, ref, computed, watch } from "vue"

const emit = defineEmits(["update:modelValue"])
const props = defineProps({ modelValue: Object })

const modelValue = computed(() => props.modelValue)
const options = ref(modelValue.value || {})

const update = () => emit("update:modelValue", options.value)

watch(() => ({ ...options.value }), update )
</script>

<style lang="scss" scoped>
.form {
	width: 100%;
}

.field-body {
	flex: 2;
}

.field {
	&:deep(.tag) {
		.icon {
			position: relative!important;
		}
	}
}
</style>